Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.transcoder
Class TranscoderInput

    java.lang.Object
      org.apache.batik.transcoder.TranscoderInput

    public class TranscoderInput

extends Object

This class represents a generic input of a `Transcoder`.

Field Summary
`protected Document` | `document` The optional input as XML Document.
`protected InputStream` | `istream` The optional input has a byte stream.
`protected Reader` | `reader` The optional input as a character stream.
`protected String` | `uri` The optional input as a URI.
`protected XMLReader` | `xmlReader` The optional XML reader to receive SAX events.

Constructor Summary
`TranscoderInput()` Constructs a new empty `TranscoderInput`.
`TranscoderInput(Document document)` Constructs a new `TranscoderInput` with the specified Document.
`TranscoderInput(InputStream istream)` Constructs a new `TranscoderInput` with the specified byte stream input.
`TranscoderInput(Reader reader)` Constructs a new `TranscoderInput` with the specified character stream.
`TranscoderInput(String uri)` Constructs a new `TranscoderInput` with the specified uri.
`TranscoderInput(XMLReader xmlReader)` Constructs a new `TranscoderInput` with the specified XML reader.

Method Summary
`Document` | `getDocument()` Returns the input of this transcoder as a document or null if none was supplied.
`InputStream` | `getInputStream()` Returns the input of this transcoder as a byte stream or null if none was supplied.
`Reader` | `getReader()` Returns the input of this transcoder as a character stream or null if none was supplied.
`String` | `getURI()` Returns the input of this transcoder as a URI or null if none was supplied.
`XMLReader` | `getXMLReader()` Returns the XML reader of this transcoder or null if none was supplied.
`void` | `setDocument(Document document)` Sets the input of this transcoder input with the specified document.
`void` | `setInputStream(InputStream istream)` Sets the input of this transcoder input with the specified byte stream.
`void` | `setReader(Reader reader)` Sets the input of this transcoder input with the specified character stream.
`void` | `setURI(String uri)` Sets the input of this transcoder input with the specified URI.
`void` | `setXMLReader(XMLReader xmlReader)` Sets the input of this transcoder input with the specified XML reader.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xmlReader

    protected XMLReader xmlReader

  The optional XML reader to receive SAX events.

### istream

    protected InputStream istream

  The optional input has a byte stream.

### reader

    protected Reader reader

  The optional input as a character stream.

### document

    protected Document document

  The optional input as XML Document.

### uri

    protected String uri

  The optional input as a URI.

Constructor Detail

### TranscoderInput

    public TranscoderInput()

  Constructs a new empty `TranscoderInput`.

### TranscoderInput

    public TranscoderInput(XMLReader xmlReader)

  Constructs a new `TranscoderInput` with the specified XML reader.

  Parameters:
    `xmlReader` - the XML reader of this transcoder input

### TranscoderInput

    public TranscoderInput(InputStream istream)

  Constructs a new `TranscoderInput` with the specified byte stream input.

  Parameters:
    `istream` - the byte stream of this transcoder input

### TranscoderInput

    public TranscoderInput(Reader reader)

  Constructs a new `TranscoderInput` with the specified character stream.

  Parameters:
    `reader` - the character stream of this transcoder input

### TranscoderInput

    public TranscoderInput(Document document)

  Constructs a new `TranscoderInput` with the specified Document.

  Parameters:
    `document` - the Document of this transcoder input

### TranscoderInput

    public TranscoderInput(String uri)

  Constructs a new `TranscoderInput` with the specified uri.

  Parameters:
    `uri` - the URI of this transcoder input

Method Detail

### setXMLReader

    public void setXMLReader(XMLReader xmlReader)

  Sets the input of this transcoder input with the specified XML reader.

  Parameters:
    `xmlReader` - the XML reader of this transcoder input

### getXMLReader

    public XMLReader getXMLReader()

  Returns the XML reader of this transcoder or null if none was supplied.

### setInputStream

    public void setInputStream(InputStream istream)

  Sets the input of this transcoder input with the specified byte stream.

  Parameters:
    `istream` - the byte stream of this transcoder input

### getInputStream

    public InputStream getInputStream()

  Returns the input of this transcoder as a byte stream or null if none was supplied.

### setReader

    public void setReader(Reader reader)

  Sets the input of this transcoder input with the specified character stream.

  Parameters:
    `reader` - the character stream of this transcoder input

### getReader

    public Reader getReader()

  Returns the input of this transcoder as a character stream or null if none was supplied.

### setDocument

    public void setDocument(Document document)

  Sets the input of this transcoder input with the specified document.

  Parameters:
    `document` - the document of this transcoder input

### getDocument

    public Document getDocument()

  Returns the input of this transcoder as a document or null if none was supplied.

### setURI

    public void setURI(String uri)

  Sets the input of this transcoder input with the specified URI.

  Parameters:
    `uri` - the URI of this transcoder input

### getURI

    public String getURI()

  Returns the input of this transcoder as a URI or null if none was supplied.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.